Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TypedCollections::TypedEntry Class Template Reference

`#include <coherence/util/TypedCollections.hpp>`

Inherits WrapperCollections::AbstractWrapperEntry.

List of all members.

## Detailed Description

### template<class K, class V>
class coherence::util::TypedCollections::TypedEntry< K, V >

Typed wrapper over Map::Entry interface.

Both key and value objects are typed. The types of key and value may differ.

## Public Types
typedef spec::Handle | Handle
| TypedEntry<K, V> Handle definition.
typedef spec::View | View
| TypedEntry<K, V> View definition.
typedef spec::Holder | Holder
| TypedEntry<K, V> Holder definition.
typedef K | KeyType
| The type of the keys, e.g.
typedef V | ValueType
| The type the values, e.g.
## Public Member Functions
virtual KeyType | getKeyTyped () const
| The typed version of the method Map::Entry::getKey.
virtual ValueType | getValueTyped () const
| The typed version of the method Map::Entry::getKey.
virtual ValueType | getValueTyped ()
| The typed version of the method Map::Entry::getKey.
virtual ValueType | setValue (ValueType ohValue)
| Update the value of the map entry.
## Protected Member Functions
| TypedEntry (Map::Entry::Holder ohEntryDelegate)
| Create a new TypedEntry over the given Map::Entry.
| TypedEntry (const TypedEntry &that)
| Copy constructor.

## Member Typedef Documentation

typedef K KeyType

The type of the keys, e.g.

String::View.

typedef V ValueType

The type the values, e.g.

String::View.

## Constructor & Destructor Documentation

TypedEntry | ( | Map::Entry::Holder | ohEntryDelegate | ) | `[inline, protected]`

Create a new TypedEntry over the given Map::Entry.

Parameters:

  | ohEntryDelegate | the Entry to delegate to

## Member Function Documentation

virtual KeyType getKeyTyped | ( |  | ) | const `[inline, virtual]`

The typed version of the method Map::Entry::getKey.

Return the key corresponding to this entry.

Returns:
  the key corresponding to this entry.

Exceptions:

  | ClassCastException | if the typed entry is broken by external usage

virtual ValueType getValueTyped | ( |  | ) | const `[inline, virtual]`

The typed version of the method Map::Entry::getKey.

Return the value corresponding to this entry.

Returns:
  the value corresponding to this entry.

Exceptions:

  | ClassCastException | if the typed entry is broken by external usage

virtual ValueType getValueTyped | ( |  | ) | `[inline, virtual]`

The typed version of the method Map::Entry::getKey.

Return the value corresponding to this entry.

Returns:
  the value corresponding to this entry.

Exceptions:

  | ClassCastException | if the typed entry is broken by external usage

virtual ValueType setValue | ( | ValueType | ohValue | ) | `[inline, virtual]`

Update the value of the map entry.

Parameters:

  | ohValue | the new value for the entry

Returns:
  the prior value

The documentation for this class was generated from the following file:

- coherence/util/TypedCollections.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.